<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
   public function up(): void
{
    Schema::table('payments', function (Blueprint $table) {
        $table->integer('membership_fee')->default(0)->after('amount');
        $table->integer('admission_fee')->default(0)->after('membership_fee');
    });
}

public function down(): void
{
    Schema::table('payments', function (Blueprint $table) {
        $table->dropColumn(['membership_fee', 'admission_fee']);
    });
}
};
